Closed Bug 1147784 Opened 5 years ago Closed 5 years ago

[RTL][Homescreen]The space between text is enlarged on lockscreen.

Categories

(Firefox OS Graveyard :: Gaia::System::Lockscreen, defect, P3)

ARM
Gonk (Firefox OS)
defect

Tracking

(b2g-v2.2 affected, b2g-master affected)

RESOLVED WORKSFORME
Tracking Status
b2g-v2.2 --- affected
b2g-master --- affected

People

(Reporter: lulu.tian, Unassigned)

References

Details

Attachments

(3 files)

Attached image lockscreen.png
[1.Description]:
[RTL][v2.2][Homescreen]The space between text is enlarged, and it makes the charging text overlap with the notification.
See attachment:lockscreen.png

[2.Testing Steps]: 
1.Set your phone language to Arabic.
2.Insert two SIM cards.
3.Power on device.
4.Have a screenshot notification at lockscreen and observe the lockscreen.

[3.Expected Result]: 
4.The space between text should remain as that in LTR language and nothing should overlap.

[4.Actual Result]: 
4.The space between text is enlarged, and it makes the charging text  overlap with the notification.

[5.Reproduction build]: 
Device: Flame 2.2 (affected)
Build ID               20150325162500
Gaia Revision          2d42a7c1d99472780e3aeb2e16d7cb0a4adbd222
Gaia Date              2015-03-25 20:46:52
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/ebb742bfe1a4
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150325.200218
Firmware Date          Wed Mar 25 20:02:30 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (unaffected)
Build ID               20150325160204
Gaia Revision          508b8d48fb5ecf08bf0e5b4fef42bc48b770e7f2
Gaia Date              2015-03-25 16:54:53
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/f40ee067d081
Gecko Version          39.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150325.191758
Firmware Date          Wed Mar 25 19:18:07 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,10/10

[7.TCID]: 
Free Test
QA Whiteboard: [rtl-impact]
Triage P3
Priority: -- → P3
Component: Gaia::Homescreen → Gaia::System::Lockscreen
I believe I'm seeing this issue on 3.0  - attaching screenshot

Lockscreen text is over-running notification area

notes: # of SIMS seems irrelevant - repro'd with 2, 1 and 0

Device: Flame 3.0 (KK - Nightly - Full Flash - 319mem)
Build ID: 20150422010202
Gaia: 15134b080b5f406e5aa36f5136c17dafb4e31f64
Gecko: 946ac85af8f4
Gonk: b83fc73de7b64594cd74b33e498bf08332b5d87b
Version: 40.0a1 (3.0)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:40.0) Gecko/40.0 Firefox/40.0
QA Whiteboard: [rtl-impact] → [rtl-impact][MGSEI-Triage+]
This issue cannot be reproduced on latest FlameKK v2.2&v2.5, AriesKK v2.5 build by the same STR in comment 0.
Actual Result:
The space between text remain as that in LTR language and nothing overlap.

See attachment:Lockscreen_v2.2&v2.5.png.
Reproducing rate:0/10

Change the status from "New" to "Worksforme", if anyone can repro it, reopen again.

Device:FlameKK v2.2 build
Build ID               20150811032503
Gaia Revision          102f1299e9eafe3760e1deb44d556b5c4f36b5af
Gaia Date              2015-08-06 20:46:56
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/13c447ed929e
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150811.065030
Firmware Date          Tue Aug 11 06:50:39 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device:FlameKK v2.5 build
Build ID               20150811150203
Gaia Revision          2d7f369fd923b6df3b00d76844c413c1202c04ba
Gaia Date              2015-08-11 09:58:44
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/38c1ea9ccae31700630f1fe0d651e94c0c5b9e1d
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150811.182056
Firmware Date          Tue Aug 11 18:21:06 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device:AriesKK v2.5 build
Build ID               20150810201912
Gaia Revision          fa89e03dc489e79baa0e74cb1d205260c7924caa
Gaia Date              2015-08-10 10:07:57
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/3f135a8ead22
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150810.194258
Firmware Date          Mon Aug 10 19:43:05 UTC 2015
Bootloader             s1
Status: NEW → RESOLVED
Closed: 5 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.